import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class MemberBankDepositRootModule {}

@NgModule({})
export class MemberBankDepositModule {
  public static forRoot(): ModuleWithProviders<MemberBankDepositRootModule> {
    return {
      ngModule: MemberBankDepositRootModule,
      providers: [...SERVICES],
    };
  }
}
